> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhikoo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Citation Search Queries

> All search query variants attached to a single citation. Useful for debugging
which AI sub-question generated a citation.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/public/search-queries/by-citation/{citation_id}
openapi: 3.1.0
info:
  title: Hikoo REST API
  description: >-
    Programmatic access to your Hikoo data: citations, prompts, competitors,
    audits, health and more. Authenticate with a personal API key
    (`Authorization: Bearer <key>`) created from the dashboard settings.
  version: 1.0.0
servers:
  - url: https://api.tryhikoo.com
security:
  - apiKey: []
paths:
  /api/v1/public/search-queries/by-citation/{citation_id}:
    get:
      tags:
        - Search queries
      summary: Get Citation Search Queries
      description: >-
        All search query variants attached to a single citation. Useful for
        debugging

        which AI sub-question generated a citation.
      operationId: >-
        get_citation_search_queries_api_v1_public_search_queries_by_citation__citation_id__get
      parameters:
        - name: citation_id
          in: path
          required: true
          schema:
            type: integer
            title: Citation Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Page Size
        - name: website_id
          in: query
          required: true
          schema:
            type: integer
            description: Target website id
            title: Website Id
          description: Target website id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Bearer <api_key>
            title: Authorization
          description: Bearer <api_key>
        - name: X-MCP-Secret
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Mcp-Secret
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedSearchQueries'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedSearchQueries:
      properties:
        items:
          items:
            $ref: '#/components/schemas/SearchQueryBase'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - items
        - total
        - page
        - page_size
        - total_pages
      title: PaginatedSearchQueries
      description: Paginated list of individual search query rows.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SearchQueryBase:
      properties:
        id:
          type: integer
          title: Id
        query:
          type: string
          title: Query
        platform:
          $ref: '#/components/schemas/AiPlatform'
        citation_id:
          type: integer
          title: Citation Id
        prompt_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Prompt Id
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - query
        - platform
        - citation_id
        - created_at
      title: SearchQueryBase
      description: Single search query row.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AiPlatform:
      type: string
      enum:
        - ChatGPT
        - Gemini
        - AI Overviews
        - Google AI Mode
        - Perplexity
        - Mistral
        - Claude
        - DeepSeek
        - Grok
        - Copilot
      title: AiPlatform
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Personal API key created in the dashboard (Settings > API keys).

````